%def_without test

Name: conan
Version: 1.33.1
Release: alt0.1.p9

Summary: Conan - The open-source C/C++ package manager

Group: System/Libraries
License: MIT
Url: https://conan.io

# Source-url: https://github.com/conan-io/conan/archive/%version.tar.gz
Source: %name-%version.tar

#Patch0: %name-%version-alt.patch

Packager: Pavel Vainerman <pv@altlinux.org>

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires(pre): rpm-build-python3

AutoProv: no

# generated by epm restore --dry-run from conans/requirements.txt
%py3_use jwt < 2.0.0
%py3_use jwt >= 1.4.0
%py3_use requests < 3.0.0
%py3_use requests >= 2.8.1
%py3_use urllib3 < 1.26
%py3_use urllib3 >= 1.25.5
%py3_use colorama < 0.5.0
%py3_use colorama >= 0.3.3
%py3_use yaml < 6.0
%py3_use yaml >= 3.11
%py3_use patch-ng < 1.18
%py3_use patch-ng >= 1.17.4
%py3_use fasteners >= 0.14.1
%py3_use six <= 1.15.0
%py3_use six >= 1.10.0
%py3_use node_semver >= 0.6.1
%py3_use distro <= 1.5.0
%py3_use distro >= 1.0.2
%py3_use future < 0.19.0
%py3_use future >= 0.16.0
%py3_use Pygments < 3.0
%py3_use Pygments >= 2.0
%py3_use deprecation < 2.1
%py3_use deprecation >= 2.0
%py3_use tqdm < 5
%py3_use tqdm >= 4.28.1
%py3_use jinja2 < 3
%py3_use jinja2 >= 2.9
%py3_use dateutil < 3
%py3_use dateutil >= 2.7.0

# generated by epm restore --dry-run from conans/requirements_dev.txt
%py3_buildrequires nose < 1.4.0
%py3_buildrequires nose >= 1.3.7
%py3_buildrequires pytest
%py3_buildrequires pytest-xdist
%py3_buildrequires parameterized >= 0.6.3
#py3_buildrequires mock < 1.4.0
%py3_buildrequires mock >= 1.3.0
%py3_buildrequires webtest < 2.1.0
%py3_buildrequires webtest >= 2.0.18
%py3_buildrequires bottle

# conans/requirements_server.txt
%py3_use bottle >= 0.12.8
%py3_use bottle < 0.13
%py3_use pluginbase >= 0.5

%description
Decentralized, open-source (MIT), C/C++ package manager.

%prep
%setup

%__subst "s|node-semver==|node-semver>=|" conans/requirements.txt

# https://bugzilla.altlinux.org/show_bug.cgi?id=39271
find -type f -name "*.py" | xargs subst "s|from semver|from node_semver|"

%build
%python3_build

%install
%python3_install
%python3_prune
rm -rfv %buildroot%python_sitelibdir/conans/test_integration/

%check
%python3_test

%files
%_bindir/%{name}*
%python3_sitelibdir/%{name}*
%doc README.rst LICENSE.md

%changelog
* Mon Mar 22 2021 Andrey Cherepanov <cas@altlinux.org> 1.33.1-alt0.1.p9
- Backport new version to p9 branch (ALT #39829).

* Tue Feb 02 2021 Vitaly Lipatov <lav@altlinux.ru> 1.33.1-alt1
- new version 1.33.1 (with rpmrb script)

* Sat Jan 23 2021 Pavel Vainerman <pv@altlinux.ru> 1.33.0-alt1
- new version (1.33.0) with rpmgs script

* Thu Dec 17 2020 Andrey Cherepanov <cas@altlinux.org> 1.32.1-alt0.1.p9
- Backport new version to p9 branch (ALT #39442).

* Wed Dec 16 2020 Vitaly Lipatov <lav@altlinux.ru> 1.32.1-alt1
- new version 1.32.1 (with rpmrb script)
- use node_semver instead of semver (see bug 39442)

* Fri Dec 04 2020 Vitaly Lipatov <lav@altlinux.ru> 1.32.0-alt1
- new version 1.32.0 (with rpmrb script)
- update requirements, fix test removing

* Sun Nov 01 2020 Vitaly Lipatov <lav@altlinux.ru> 1.31.0-alt1
- new version 1.31.0 (with rpmrb script)

* Thu Oct 29 2020 Vitaly Lipatov <lav@altlinux.ru> 1.30.2-alt1
- new version 1.30.2 (with rpmrb script)

* Thu Feb 06 2020 Vitaly Lipatov <lav@altlinux.ru> 1.22.0-alt1
- new version 1.22.0 (with rpmrb script)
- cleanup spec, switch to python3

* Fri Dec 01 2017 Pavel Vainerman <pv@altlinux.ru> 0.29.1-alt1
- new build (returned the tests to the package)

* Fri Dec 01 2017 Pavel Vainerman <pv@altlinux.ru> 0.29.1-alt0.1
- initial build version (0.29.1) with rpmgs script

